﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            AxisLabelSettings settings = new AxisLabelSettings();
            settings.Extent = 0;
            categoryAngleAxis1.LabelSettings = settings;

            numericRadiusAxis1.RadiusExtentScale = .6;
        }
    }

    public class CategoryDataPoint
    {
        public CategoryDataPoint() { }
        public int Index { get; set; }
        public string Category { get; set; }
        public double Value { get; set; }
        public double High { get; set; }
        public double Low { get; set; }
    }

    public class CategoryDataSource : List<CategoryDataPoint>
    {
        public CategoryDataSource()
        {
            this.Add(new CategoryDataPoint { Category = "This is a long text for a label. ", Value = 85, Low = 80, High = 95 });
            this.Add(new CategoryDataPoint { Category = "Test B", Value = 50, Low = 45, High = 65 });
            this.Add(new CategoryDataPoint { Category = "Test C", Value = 75, Low = 70, High = 90 });
            this.Add(new CategoryDataPoint { Category = "Test D", Value = 100, Low = 75, High = 95 });
            this.Add(new CategoryDataPoint { Category = "Test E", Value = 80, Low = 65, High = 80 });
            this.Add(new CategoryDataPoint { Category = "Test F", Value = 40, Low = 35, High = 55 });
            this.Add(new CategoryDataPoint { Category = "Test G", Value = 80, Low = 35, High = 50 });
            this.Add(new CategoryDataPoint { Category = "Test H", Value = 75, Low = 70, High = 90 });
            this.Add(new CategoryDataPoint { Category = "Test I", Value = 80, Low = 65, High = 80 });

            int i = 0;
            foreach (CategoryDataPoint dataPoint in this)
            {
                dataPoint.Index = i++;
            }
        }
    }
}
